/******************************************************************************\
 *
 * NHibernateEg.Tutorial1A
 * Copyright  2006, Pierre Henri Kuat. Tous droits rservs.
 *
 * Ce produit est sous les termes de la Licence Gnrale Publique Limite GNU.
 * Lire le fichier "licence.txt" pour plus de details.
 *
\*/

[assembly: log4net.Config.XmlConfigurator(Watch=true)]

namespace NHibernateEg.Tutorial1A
{
	/// <summary>
	/// Contient le principal point d'entr.
	/// </summary>
	internal sealed class Programme
	{
		/// <summary> Instanciation interdite. </summary>
		private Programme()
		{
			throw new System.NotSupportedException();
		}



		/// <summary> Le principal point d'entr de l'application. </summary>
		[System.STAThread]
		static void Main()
		{
			System.Console.Out.WriteLine("L'application dmarre...\n");

			try
			{
				string baseDeDonnes = System.Configuration.ConfigurationSettings.AppSettings["BaseDeDonnes"];
				string chaneDeConnexion = System.Configuration.ConfigurationSettings.AppSettings[baseDeDonnes + ".ChaneDeConnexion"];

				Boutique boutique = new Boutique(baseDeDonnes, chaneDeConnexion);

				boutique.GnreDesCommandesAlatoires(3);

				boutique.AfficheToutesLesCommandes();

				Commande c = boutique.ChargeUneCommande(1);

				c.Produit += " (modifi)";
				boutique.Affiche(c);
				boutique.Sauvegarde(c);

				boutique.Sauvegarde( new Commande("Nouveau", 4, 2) );

				boutique.ChangeLeFuseauHoraire(25);

				boutique.Dtruit(2);

				boutique.AfficheToutesLesCommandes();
			}
			catch(System.Exception ex)
			{
				System.Console.Error.WriteLine("\n\n" + ex.ToString() + "\n\n");
			}
			finally
			{
				System.Console.Out.WriteLine("\nL'application est ferme!\n");
			}
		}
	}
}
